## git-filter-repo 2.32.0

=== Makefile ===
# A bunch of installation-related paths people can override on the command line
prefix = $(HOME)
bindir = $(prefix)/libexec/git-core
localedir = $(prefix)/share/locale
mandir = $(prefix)/share/man
htmldir = $(prefix)/share/doc/git-doc
pythondir = $(prefix)/lib64/python3.6/site-packages

default: build

build:
	@echo Nothing to do: filter-repo is a script which needs no compilation.

test:
	time t/run_coverage

# fixup_locale might matter once we actually have translations, but right now
# we don't.  It might not even matter then, because python has a fallback podir.
fixup_locale:
	sed -ie s%@@LOCALEDIR@@%$(localedir)% git-filter-repo

# People installing from tarball will already have man1/git-filter-repo.1 and
# html/git-filter-repo.html.  But let's support people installing from a git
# clone too; for them, just cheat and snag a copy of the built docs that I
# record in a different branch.
snag_docs: Documentation/man1/git-filter-repo.1 Documentation/html/git-filter-repo.html

Documentation/man1/git-filter-repo.1:
	mkdir -p Documentation/man1
	git show origin/docs:man1/git-filter-repo.1 >Documentation/man1/git-filter-repo.1

Documentation/html/git-filter-repo.html:
	mkdir -p Documentation/html
	git show origin/docs:html/git-filter-repo.html >Documentation/html/git-filter-repo.html

install: snag_docs #fixup_locale
	cp -a git-filter-repo "$(bindir)/"
	ln -sf "$(bindir)/git-filter-repo" "$(pythondir)/git_filter_repo.py"
	cp -a Documentation/man1/git-filter-repo.1 "$(mandir)/man1/git-filter-repo.1"
	cp -a Documentation/html/git-filter-repo.html "$(htmldir)/git-filter-repo.html"


#
# The remainder of the targets are meant for tasks for the maintainer; if they
# don't work for you, I don't care.  These tasks modify branches and upload
# releases and whatnot, and presume a directory layout I have locally.
#
update_docs: export GIT_WORK_TREE=$(shell mktemp -d)
update_docs: export GIT_INDEX_FILE=$(shell mktemp)
update_docs: export COMMIT=$(shell git rev-parse HEAD)
update_docs:
	# Sanity check; we'll build docs in a clone of a git repo
	test -d ../git
	# Sanity check; docs == origin/docs
	test -z "$(git rev-parse docs origin/docs | uniq -u)"
	# Avoid spurious errors by forcing index to be well formatted, if empty
	git read-tree 4b825dc642cb6eb9a060e54bf8d69288fbee4904 # empty tree
	# Symlink git-filter-repo.txt documentation into git and build it
	ln -sf ../../git-filter-repo/Documentation/git-filter-repo.txt ../git/Documentation/
	make -C ../git/Documentation -j4 man html
	# Take the built documentation and lay it out nicely
	mkdir $$GIT_WORK_TREE/html
	mkdir $$GIT_WORK_TREE/man1
	cp -a ../git/Documentation/*.html $$GIT_WORK_TREE/html/
	cp -a ../git/Documentation/git-filter-repo.1 $$GIT_WORK_TREE/man1/
	dos2unix $$GIT_WORK_TREE/html/*
	# Add new version of the documentation as a commit, if it differs
	git --work-tree $$GIT_WORK_TREE add .
	git diff --quiet docs || git write-tree \
		| xargs git commit-tree -p docs -m "Update docs to $$COMMIT" \
		| xargs git update-ref refs/heads/docs
	# Remove temporary files
	rm -rf $$GIT_WORK_TREE
	rm $$GIT_INDEX_FILE
	# Push the new documentation upstream
	git push origin docs
	# Notify of completion
	@echo
	@echo === filter-repo docs branch updated ===

# Call like this:
#   make GITHUB_COM_TOKEN=$KEY TAGNAME=v2.23.0 release
release: github_release pypi_release

# Call like this:
#   make GITHUB_COM_TOKEN=$KEY TAGNAME=v2.23.0 github_release
github_release: export FILEBASE=git-filter-repo-$(shell echo $(TAGNAME) | tail -c +2)
github_release: export GIT_INDEX_FILE=$(shell mktemp)
github_release: export COMMIT=$(shell git rev-parse HEAD)
github_release: update_docs
	test -n "$(GITHUB_COM_TOKEN)"
	test -n "$(TAGNAME)"
	test -n "$$COMMIT"
	# Make sure 'jq' is installed
	type -p jq
	# Tag the release, push it to GitHub
	git tag -a -m "filter-repo $(TAGNAME)" $(TAGNAME) $$COMMIT
	git push origin $(TAGNAME)
	# Create the tarball
	git read-tree $$COMMIT
	git ls-tree -r docs | grep filter-repo    \
		| sed -e 's%\t%\tDocumentation/%' \
		| git update-index --index-info
	git write-tree                                    \
		| xargs git archive --prefix=$(FILEBASE)/ \
		| xz -c >$(FILEBASE).tar.xz
	rm $$GIT_INDEX_FILE
	# Make GitHub mark our new tag as an official release
	curl -s -H "Authorization: token $(GITHUB_COM_TOKEN)" -X POST \
		https://api.github.com/repos/newren/git-filter-repo/releases \
		--data "{                                  \
		  \"tag_name\": \"$(TAGNAME)\",            \
		  \"target_commitish\": \"$$COMMIT\",      \
		  \"name\": \"$(TAGNAME)\",                \
		  \"body\": \"filter-repo $(TAGNAME)\"     \
		}" | jq -r .id >asset_id
	# Upload our tarball
	cat asset_id | xargs -I ASSET_ID curl -s -H "Authorization: token $(GITHUB_COM_TOKEN)" -H "Content-Type: application/octet-stream" --data-binary @$(FILEBASE).tar.xz https://uploads.github.com/repos/newren/git-filter-repo/releases/ASSET_ID/assets?name=$(FILEBASE).tar.xz
	# Remove temporary file(s)
	rm asset_id
	# Notify of completion
	@echo
	@echo === filter-repo $(TAGNAME) created and uploaded to GitHub ===

pypi_release: # Has an implicit dependency on github_release because...
	# Upload to PyPI, automatically picking tag created by github_release
	cd release && python3 -m venv venv
	cd release && venv/bin/pip3 install --upgrade setuptools pip
	cd release && venv/bin/pip3 install twine wheel
	cd release && venv/bin/python3 setup.py sdist bdist_wheel
	# Note: hope you remember password for pypi, but username is 'newren'
	cd release && venv/bin/twine upload dist/*
	# Remove temporary file(s)
	cd release && rm -f README.md git-filter-repo git_filter_repo.py
	cd release && rm -rf .eggs/ build/ venv/ git_filter_repo.egg-info/

# NOTE TO FUTURE SELF: If you accidentally push a bad release, you can remove
# all but the git-filter-repo-$VERSION.tar.xz asset with
#    git push --delete origin $TAGNAME
# To remove the git-filter-repo-$VERSION.tar.xz asset as well:
#    curl -s -H "Authorization: token $GITHUB_COM_TOKEN" -X GET \
#        https://api.github.com/repos/newren/git-filter-repo/releases
# and look for the "id", then run
#    curl -s -H "Authorization: token $GITHUB_COM_TOKEN" -X DELETE \
#        https://api.github.com/repos/newren/git-filter-repo/releases/$ID

## git-filter-repo 2.29.0

=== debian/changelog ===
git-filter-repo (2.29.0-1) unstable; urgency=low

  * Initial Release to Debian (Closes: #966231)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Feb 2021 15:00:20 -0800

=== debian/control ===
Source: git-filter-repo
Section: vcs
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 bsdextrautils,
 debhelper-compat (= 13),
 dh-python,
 dos2unix,
 git (>= 2.22),
 python3,
 python3-setuptools,
 python3-setuptools-scm,
 rsync
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
Homepage: https://github.com/newren/git-filter-repo
Rules-Requires-Root: no

Package: git-filter-repo
Architecture: all
Depends: git (>= 2.22), ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Quickly rewrite git repository history
 git filter-repo is a versatile tool for rewriting history, which includes
 capabilities not found anywhere else.  It roughly falls into the
 same space of tool as git filter-branch but without the capitulation-inducing
 poor performance, with far more capabilities, and with a design that scales
 usability-wise beyond trivial rewriting cases.  git filter-repo is now
 recommended by the git project instead of git filter-branch.
 .
 While most users will probably just use filter-repo as a simple command
 line tool (and likely only use a few of its flags), at its core filter-repo
 contains a library for creating history rewriting tools.  As such, users
 with specialized needs can leverage it to quickly create entirely new
 history rewriting tools.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_DIR=release

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	t/run_tests

=== debian/tests/control ===
Tests: testsuite
Depends: bsdextrautils, dos2unix, git-filter-repo, rsync

## git-filter-repo 2.32.0

=== debian/changelog ===
git-filter-repo (2.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch test-runner, superseded upstream.
  * Build the documentation from source (using the XSL toolchain copied from
    the Git source tree).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Jun 2021 19:29:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,19 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
+ asciidoc (>= 8.6.10),
  bsdextrautils,
  debhelper-compat (= 13),
  dh-python,
+ docbook-xsl,
  dos2unix,
+ dpkg-dev,
  git (>= 2.22),
  python3,
  python3-setuptools,
  python3-setuptools-scm,
- rsync
+ rsync,
+ xmlto
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo

## git-filter-repo 2.33.0

=== debian/changelog ===
git-filter-repo (2.33.0-2) unstable; urgency=medium

  * Clean release/git-filter-repo.
  * Include the 1: epoch in the versioned git dependency. (Closes: #994900)
  * Bump the git Build-Depends to >= 1:2.28 for the test suite to pass.
    Recommend this too, although upstream claims 2.22 is sufficient for basic
    functionality. (Closes: #995027)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Clean t/test-results. (Closes: #995029)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Sep 2021 15:19:55 -0700

git-filter-repo (2.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch minimal-wrapper: upstream is now using entry_points.
  * Drop Build-Depends on dpkg-dev, that was an accident.
  * Patch: version-from-module: Calculate the version from the module, not the
    entry_point.
  * Drop dependencies on bsdextrautils, colrm is no longer being used in
    tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Aug 2021 14:35:19 -0700

## git-filter-repo 2.34.0

=== debian/changelog ===
git-filter-repo (2.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch version-from-module, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Nov 2021 07:39:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,17 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  asciidoc (>= 8.6.10),
- bsdextrautils,
  debhelper-compat (= 13),
  dh-python,
  docbook-xsl,
  dos2unix,
- dpkg-dev,
- git (>= 2.22),
+ git (>= 1:2.28),
  python3,
  python3-setuptools,
  python3-setuptools-scm,
  rsync,
  xmlto
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
 Homepage: https://github.com/newren/git-filter-repo
@@ -25,8 +23,8 @@
 
 Package: git-filter-repo
 Architecture: all
-Depends: git (>= 2.22), ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}
+Depends: git (>= 1:2.22), ${misc:Depends}, ${python3:Depends}
+Recommends: ${python3:Recommends}, git (>= 1:2.28)
 Suggests: ${python3:Suggests}
 Description: Quickly rewrite git repository history
  git filter-repo is a versatile tool for rewriting history, which includes

=== debian/tests/control ===
Tests: testsuite
Depends: dos2unix, git-filter-repo, rsync

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/newren/git-filter-repo/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## git-filter-repo 2.38.0

=== debian/changelog ===
git-filter-repo (2.38.0-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/options.patch: add patch to support git 2.43 (Closes: #1057756).

  [ Stefano Rivera ]
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Dec 2023 10:51:06 -0400

git-filter-repo (2.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop git 2.35 patch, superseded upstream.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Oct 2022 21:23:11 +0200

git-filter-repo (2.34.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on asciidoc.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:19:55 +0100

git-filter-repo (2.34.0-2) unstable; urgency=medium

  * Patch: Update expected test results for git 2.35. (Closes: #1006056)
  * Bump Build-Depends and Test Depends to git (>= 1:2.35), as the patch
    breaks the tests on older git versions.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 06 Mar 2022 12:41:47 -0400

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- asciidoc (>= 8.6.10),
+ asciidoc,
  debhelper-compat (= 13),
  dh-python,
  docbook-xsl,
  dos2unix,
- git (>= 1:2.28),
+ git (>= 1:2.35),
  python3,
  python3-setuptools,
  python3-setuptools-scm,
  rsync,
  xmlto
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
 Homepage: https://github.com/newren/git-filter-repo
@@ -24,7 +24,7 @@
 Package: git-filter-repo
 Architecture: all
 Depends: git (>= 1:2.22), ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}, git (>= 1:2.28)
+Recommends: git (>= 1:2.28), ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Quickly rewrite git repository history
  git filter-repo is a versatile tool for rewriting history, which includes

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_DIR=release

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_build: Documentation/man1/git-filter-repo.1
	dh_auto_build

override_dh_auto_test:
	t/run_tests

Documentation/%.xml: Documentation/%.txt
	asciidoc -f debian/git-doc-toolchain/asciidoc.conf \
	         -amanversion=$(DEB_VERSION) -amanmanual='git-filter-repo Manual' \
	         -amansource='Git' -b docbook -d manpage -o $@ $<

Documentation/man1/%.1: Documentation/%.xml
	mkdir -p Documentation/man1
	xmlto -m debian/git-doc-toolchain/manpage-normal.xsl \
	      -m debian/git-doc-toolchain/manpage-bold-literal.xsl \
	      -m debian/git-doc-toolchain/manpage-base-url.xsl \
	      -m debian/git-doc-toolchain/manpage-quote-apos.xsl \
	      --skip-validation \
	      -x debian/git-doc-toolchain/manpage.xsl \
	      man $<
	mv $(notdir $@) Documentation/man1

## git-filter-repo 2.45.0

=== Makefile ===
# A bunch of installation-related paths people can override on the command line
DESTDIR = /
INSTALL = install
prefix = $(HOME)
bindir = $(prefix)/libexec/git-core
localedir = $(prefix)/share/locale
mandir = $(prefix)/share/man
htmldir = $(prefix)/share/doc/git-doc
pythondir = $(prefix)/lib64/python3.6/site-packages

default: build

build:
	@echo Nothing to do: filter-repo is a script which needs no compilation.

test:
	time t/run_coverage

# fixup_locale might matter once we actually have translations, but right now
# we don't.  It might not even matter then, because python has a fallback podir.
fixup_locale:
	sed -ie s%@@LOCALEDIR@@%$(localedir)% git-filter-repo

# People installing from tarball will already have man1/git-filter-repo.1 and
# html/git-filter-repo.html.  But let's support people installing from a git
# clone too; for them, just cheat and snag a copy of the built docs that I
# record in a different branch.
snag_docs: Documentation/man1/git-filter-repo.1 Documentation/html/git-filter-repo.html

Documentation/man1/git-filter-repo.1:
	mkdir -p Documentation/man1
	git show origin/docs:man1/git-filter-repo.1 >Documentation/man1/git-filter-repo.1

Documentation/html/git-filter-repo.html:
	mkdir -p Documentation/html
	git show origin/docs:html/git-filter-repo.html >Documentation/html/git-filter-repo.html

install: snag_docs #fixup_locale
	$(INSTALL) -Dm0755 git-filter-repo "$(DESTDIR)/$(bindir)/git-filter-repo"
	$(INSTALL) -dm0755 "$(DESTDIR)/$(pythondir)"
	ln -sf "$(bindir)/git-filter-repo" "$(DESTDIR)/$(pythondir)/git_filter_repo.py"
	$(INSTALL) -Dm0644 Documentation/man1/git-filter-repo.1 "$(DESTDIR)/$(mandir)/man1/git-filter-repo.1"
	$(INSTALL) -Dm0644 Documentation/html/git-filter-repo.html "$(DESTDIR)/$(htmldir)/git-filter-repo.html"
	if which mandb > /dev/null; then mandb; fi


#
# The remainder of the targets are meant for tasks for the maintainer; if they
# don't work for you, I don't care.  These tasks modify branches and upload
# releases and whatnot, and presume a directory layout I have locally.
#
update_docs:
	# Set environment variables once
	export GIT_WORK_TREE=$(shell mktemp -d) \
	export GIT_INDEX_FILE=$(shell mktemp) \
	COMMIT=$(shell git rev-parse HEAD) \
	&& \
	# Sanity check; we'll build docs in a clone of a git repo \
	test -d ../git && \
	# Sanity check; docs == origin/docs \
	test -z "$(git rev-parse docs origin/docs | uniq -u)" && \
	# Avoid spurious errors by forcing index to be well formatted, if empty \
	git read-tree 4b825dc642cb6eb9a060e54bf8d69288fbee4904 && # empty tree \
	# Symlink git-filter-repo.txt documentation into git and build it \
	ln -sf ../../git-filter-repo/Documentation/git-filter-repo.txt ../git/Documentation/ && \
	make -C ../git/Documentation -j4 man html && \
	# Take the built documentation and lay it out nicely \
	mkdir $$GIT_WORK_TREE/html && \
	mkdir $$GIT_WORK_TREE/man1 && \
	cp -a ../git/Documentation/*.html $$GIT_WORK_TREE/html/ && \
	cp -a ../git/Documentation/git-filter-repo.1 $$GIT_WORK_TREE/man1/ && \
	dos2unix $$GIT_WORK_TREE/html/* && \
	# Add new version of the documentation as a commit, if it differs \
	git --work-tree $$GIT_WORK_TREE add . && \
	git diff --quiet docs || git write-tree \
		| xargs git commit-tree -p docs -m "Update docs to $$COMMIT" \
		| xargs git update-ref refs/heads/docs && \
	# Remove temporary files \
	rm -rf $$GIT_WORK_TREE && \
	rm $$GIT_INDEX_FILE && \
	# Push the new documentation upstream \
	git push origin docs && \
	# Notify of completion \
	echo && \
	echo === filter-repo docs branch updated ===

# Call like this:
#   make GITHUB_COM_TOKEN=$KEY TAGNAME=v2.23.0 release
release: github_release pypi_release

# Call like this:
#   make GITHUB_COM_TOKEN=$KEY TAGNAME=v2.23.0 github_release
github_release: update_docs
	FILEBASE=git-filter-repo-$(shell echo $(TAGNAME) | tail -c +2) \
	TMP_INDEX_FILE=$(shell mktemp) \
	COMMIT=$(shell git rev-parse HEAD) \
	&& \
	test -n "$(GITHUB_COM_TOKEN)" && \
	test -n "$(TAGNAME)" && \
	test -n "$$COMMIT" && \
	# Make sure we don't have any staged or unstaged changes \
	git diff --quiet --staged HEAD && git diff --quiet HEAD && \
	# Make sure 'jq' is installed \
	type -p jq && \
	# Tag the release, push it to GitHub \
	git tag -a -m "filter-repo $(TAGNAME)" $(TAGNAME) $$COMMIT && \
	git push origin $(TAGNAME) && \
	# Create the tarball \
	GIT_INDEX_FILE=$$TMP_INDEX_FILE git read-tree $$COMMIT && \
	git ls-tree -r docs | grep filter-repo    \
		| sed -e 's%\t%\tDocumentation/%' \
		| GIT_INDEX_FILE=$$TMP_INDEX_FILE git update-index --index-info && \
	GIT_INDEX_FILE=$$TMP_INDEX_FILE git write-tree                                    \
		| xargs git archive --prefix=$$FILEBASE/ \
		| xz -c >$$FILEBASE.tar.xz && \
	rm $$TMP_INDEX_FILE && \
	# Make GitHub mark our new tag as an official release \
	curl -s -H "Authorization: token $(GITHUB_COM_TOKEN)" -X POST \
		https://api.github.com/repos/newren/git-filter-repo/releases \
		--data "{                                  \
		  \"tag_name\": \"$(TAGNAME)\",            \
		  \"target_commitish\": \"$$COMMIT\",      \
		  \"name\": \"$(TAGNAME)\",                \
		  \"body\": \"filter-repo $(TAGNAME)\"     \
		}" | jq -r .id >asset_id && \
	# Upload our tarball \
	cat asset_id | xargs -I ASSET_ID curl -s -H "Authorization: token $(GITHUB_COM_TOKEN)" -H "Content-Type: application/octet-stream" --data-binary @$$FILEBASE.tar.xz https://uploads.github.com/repos/newren/git-filter-repo/releases/ASSET_ID/assets?name=$$FILEBASE.tar.xz && \
	# Remove temporary file(s) \
	rm asset_id && \
	# Notify of completion \
	echo && \
	echo === filter-repo $(TAGNAME) created and uploaded to GitHub ===

pypi_release: # Has an implicit dependency on github_release because...
	# Upload to PyPI, automatically picking tag created by github_release
	python3 -m venv venv
	venv/bin/pip install --upgrade pip
	venv/bin/pip install build twine
	venv/bin/pyproject-build
	# Note: hope you remember password for pypi, but username is 'newren'
	venv/bin/twine upload dist/*
	# Remove temporary file(s)
	rm -rf dist/ venv/ git_filter_repo.egg-info/

# NOTE TO FUTURE SELF: If you accidentally push a bad release, you can remove
# all but the git-filter-repo-$VERSION.tar.xz asset with
#    git push --delete origin $TAGNAME
# To remove the git-filter-repo-$VERSION.tar.xz asset as well:
#    curl -s -H "Authorization: token $GITHUB_COM_TOKEN" -X GET \
#        https://api.github.com/repos/newren/git-filter-repo/releases
# and look for the "id", then run
#    curl -s -H "Authorization: token $GITHUB_COM_TOKEN" -X DELETE \
#        https://api.github.com/repos/newren/git-filter-repo/releases/$ID

=== debian/changelog ===
git-filter-repo (2.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop options.patch, superseded upstream.
  * Refresh patches.
  * Build with pybuild-plugin-pyproject.
  * Bump copyright years.
  * The module is no longer in "release".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Aug 2024 10:24:20 +0900

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  docbook-xsl,
  dos2unix,
  git (>= 1:2.35),
+ pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  python3-setuptools-scm,

## git-filter-repo 2.47.0

=== debian/changelog ===
git-filter-repo (2.47.0-2) unstable; urgency=medium

  * Patch: Support multi-line configurations (Closes: #1091422).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Dec 2024 17:57:51 -0400

git-filter-repo (2.47.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch autopkgtest-version, superseded upstream.
  * Drop patch zlib-ng, superseded upstream.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 06 Dec 2024 19:52:17 -0400

git-filter-repo (2.45.0-2) unstable; urgency=medium

  * Patch: Support zlib-ng in the test suite (Closes: #1088748).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 Dec 2024 15:35:57 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #! /usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
-export PYBUILD_DIR=release
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
